<!DOCTYPE html>
<html>

<head>
	<script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/semantic.min.css">
	<script src="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/semantic.min.js"></script>
	<script src="ami.js"></script>
	<script src="cookie.js"></script>
	<script src="session.js"></script>
	<style>
		.ui.container.log {
			position: relative;
			text-align: center;
			width: 28%;
			margin-top: 40px;
		}

		.ui.container.devices {
			text-align: center;
			width: 38%;
			margin-top: 40px;
		}

		.ui.container.calls {
			text-align: center;
			width: 30%;
			margin-top: 40px;
		}

		.ui.grid .column {
			background-clip: content-box;
		}

		body {
			display: block;
			max-width: 100%;
		}

		.nav_bar {
			width: 100%;
			height: 5%;
			margin-top: 1%;
			margin-left: 0.1%;
		}

		.ui.segment {
			max-height: 700px;
			overflow: scroll;
		}

		#sign_out_button {
			float: right;
		}
	</style>

	<script>
		checkUserSessionAndRedirect("login.html");
	</script>
</head>

<body>
	<div class="nav_bar">
		<button class="ui button" id="history_button">
			History
		</button>

		<button class="ui button" id="users_button">
			Users
		</button>

		<button class="ui button" id="sign_out_button">
			Sign out
		</button>
	</div>

	<div class="ui three column stackable aligned grid">
		<div class="ui container log">
			<div class="ui segments">
				<div class="ui segment">
					<div class="ui two column stackable aligned grid">
						<div class="ui vertical divider">ami</div>
						<div class="middle aligned row">
							<div class="column">
								<div class="ui statistic">
									<div class="value" id="devs">-1</div>
									<div class="label">
										Active Endpoints
									</div>
								</div>
							</div>
							<div class="column">
								<div class="ui statistic">
									<div class="value" id="chans">-1</div>
									<div class="label">
										Bridges
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="ui segment">
					<div class="ui feed" id="feed"></div>
				</div>
			</div>
		</div>
		<div class="ui container devices">
			<div class="ui raised segments" id="devlist">
				<div class="ui secondary segment">
					<h3>Endpoints</h3>
				</div>
			</div>
		</div>
		<div class="ui container calls">
			<div class="ui raised segments" id="connectedCalls">
				<div class="ui secondary segment">
					<h3>Connected Calls</h3>
				</div>
				<div class="ui segment">
					<table class="ui celled table">
						<thead>
							<tr>
								<th>Call</th>
								<th>Action</th>
							</tr>
						</thead>
						<tbody id="callList">
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>

	<div id="hangupConfirmationModal" class="ui basic modal">
		<div class="header">
			Hangup Confirmation
		</div>
		<div class="content">
			<!-- Content will be dynamically set using JavaScript -->
		</div>
		<div class="actions">
			<div class="ui red basic cancel hangup inverted button" id="cancelHangupButton">
				<i class="remove icon"></i>
				Cancel
			</div>
			<div class="ui green ok inverted button" id="confirmHangupButton">
				<i class="checkmark icon"></i>
				Confirm
			</div>
		</div>
	</div>

</body>

<template id="event">
	<div class="event">
		<div class="label">
			<!-- <i class="user tiny icon"></i> -->
		</div>
		<div class="content">
			<div class="date">

			</div>
			<div class="summary">

			</div>
		</div>
	</div>
</template>

<template id="device">
	<div class="ui horizontal segments">
		<h1 id="devname" class="ui left aligned segment" style="width: 325px;"></h1>
		<div id="devstat" class="ui tertiary inverted secondary segment" style="width: 10px;"></div>
	</div>
</template>

<template id="callRow">
	<tr class="callRow">
		<td class="summary"></td>
		<td class="action">
			<button class="ui button hangupButton">Hang Up</button>
		</td>
	</tr>
</template>

<script>
	$(document).ready(function () {
		const isAdmin = getAdminCookie();

		// Hide or move the history button based on admin status
		if (!isAdmin) {
			$('#history_button').hide();
			// Move the users button to the history button's place
			$('#users_button').insertAfter('#history_button');
			$('#connectedCalls table th:nth-child(2), #connectedCalls table td:nth-child(2)').remove();
		}

		$('#sign_out_button').click(function () {
			var data = {
				token: getAuthTokenCookie(),
			};

			handleLogout(data);
		});

		$('#users_button').click(function () {
			window.location.href = 'users.html';
		});

		$('#history_button').click(function () {
			window.open('call_history.html', '_blank');
		});

		// Add an event listener to the modal's confirm button
		$('#confirmHangupButton').on('click', function () {
			$('#hangupConfirmationModal').modal('hide');
			const callId = $('#hangupConfirmationModal').data('callId');
			const channel = $('#hangupConfirmationModal').data('channel');

			$.ajax({
				url: 'http://127.0.0.1:20000/call_hangup',
				type: 'POST',
				data: JSON.stringify({
					channel: channel,
					callid: callId
				}),
				contentType: 'application/json',
				success: function (data) {
					removeCallRowAfterHangup(callId);
				},
				error: function (error) {
					console.error('Hang-up request failed', error);
				}
			});
		});

		// Add an event listener to the hangup modal's cancel button
		$('#cancelHangupButton').on('click', function () {
			// Close the modal if cancel button is clicked
			$('#hangupConfirmationModal').modal('hide');
		});
	});
</script>

</html>